Subject: Re: bug#21588: 25.0.50: Single quotes becoming curvy quotes in message function

From: Kaushal Modi <[email-masked]>
Date: Tue, 29 Sep 2015 21:05:01 -0400

Hi Glenn,

Can you please re-open this bug if the below argument makes sense?

It doesn't feel right that (message "'Hey'") gets displayed as ’Hey’. The
display looks "buggy" with the default value of text-quoting-style. A user
shouldn't be perplexed with that kind of display in an emacs -Q session. It
just feels wrong.

It would make more sense to have the default value of text-quoting-style as
'grave. That way, (message "'Hey'") prints 'Hey' and (message "`Hey'")
prints `Hey'; there are not surprises.

If we really want the curved quotes rendering, 'Hey' should NOT be rendered
as ’Hey’. It might be fine to render `Hey' as ‘Hey’. But having the default
setup render a common string like 'Hey' with identical curved quotes just
looks wrong.

Please review and reconsider based on the output given by the elisp snippet
in my previous email.

IMO, we are missing a "middle ground" option where if text-quoting-style is
set to 'middle-ground, (message "'Hey'") would yield 'Hey' (preserved
apostrophes) and (message "`Hey'") would give ‘Hey’ (balanced curved
quotes).

If the middle-ground option is decided to not be added, then fine. But
please don't have the unbalanced curved quotes ’Hey’ as the default.

I ended up opening this bug report after having quite a few emacs packages
print stuff with unbalanced curved quotes and that hit my OCD bar.

--
Kaushal Modi

On Tue, Sep 29, 2015 at 6:54 PM, Kaushal Modi <[email-masked]>
wrote:

> Thanks for the reply.
>
> Among all the noise about curved quotes, I missed out the discussion about
> text-quoting-style. I started paying attention to that only recently when
> Paul reverted curved quote stuff in the documentation.
>
> I should have looked at NEWS; sorry about that.
>
> I got my answer; I need to set text-quoting-style to 'straight.
>
> For reference,
>
> (progn
>   (message "text-quoting-style = default")
>   (let ((text-quoting-style))
>     (message "'Hey'")
>     (message "`Hey'"))
>   (message "text-quoting-style = curve")
>   (let ((text-quoting-style 'curve))
>     (message "'Hey'")
>     (message "`Hey'"))
>   (message "text-quoting-style = straight")
>   (let ((text-quoting-style 'straight))
>     (message "'Hey'")
>     (message "`Hey'"))
>   (message "text-quoting-style = grave")
>   (let ((text-quoting-style 'grave))
>     (message "'Hey'")
>     (message "`Hey'")))
>
> gives
>
>
> text-quoting-style = default
> ’Hey’
> ‘Hey’
> text-quoting-style = curve
> ’Hey’
> ‘Hey’
> text-quoting-style = straight
> 'Hey' [2 times]
> text-quoting-style = grave
> 'Hey'
> `Hey'
>
>
>
>
>
>
> --
> Kaushal Modi
>
> On Tue, Sep 29, 2015 at 5:32 PM, Glenn Morris <[email-masked]> wrote:
>
>>
>> This has been discussed to death and is documented in NEWS.
>> I'm not sure what else there could be left to say.
>>
>
>